# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.89"
name = "klieo-embed-common"
version = "0.36.0"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Shared Embedder trait + dummy/fake impls for klieo memory backends."
homepage = "https://github.com/mohrimic/klieo"
documentation = "https://docs.rs/klieo"
readme = "README.md"
license = "MIT"
repository = "https://github.com/mohrimic/klieo"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
default = []
test-utils = []

[lib]
name = "klieo_embed_common"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.klieo-core]
version = "0.36"

[dev-dependencies.tokio]
version = "1"
features = [
    "full",
    "macros",
    "rt-multi-thread",
]
